OpenNMS API 1.2.9

## org.opennms.web.admin.nodeManagement
Class AddNewInterfaceServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.admin.nodeManagement.AddNewInterfaceServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class AddNewInterfaceServlet
extends javax.servlet.http.HttpServlet

A servlet that handles adding a new interface

Author:
  James Zuo , OpenNMS
See Also:
  Serialized Form

Field Summary
`(package private) static java.lang.String` `EVENT_SOURCE_VALUE` The value used as the source of the event
`private static java.lang.String` `SQL_INTERFACE_EXIST`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`AddNewInterfaceServlet()`

Method Summary
`private void` `createAndSendNewSuspectInterfaceEvent(java.lang.String ipaddr)`
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`private int` `getNodeId(java.lang.String ipaddr)`
`void` `init()`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQL_INTERFACE_EXIST

    private static final java.lang.String SQL_INTERFACE_EXIST

See Also:
  Constant Field Values

### EVENT_SOURCE_VALUE

    static final java.lang.String EVENT_SOURCE_VALUE

  The value used as the source of the event

  See Also:
    Constant Field Values

Constructor Detail

### AddNewInterfaceServlet

    public AddNewInterfaceServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### createAndSendNewSuspectInterfaceEvent

    private void createAndSendNewSuspectInterfaceEvent(java.lang.String ipaddr)
                                                throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### getNodeId

    private int getNodeId(java.lang.String ipaddr)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.